

#define MAX_ARCHITECTURES 10


typedef struct exec { char architecture[40];
                      int machine_type;
                      char file_name[264];
                      int number_of_nodes;
                      int status;
                    } executable;

typedef struct prefer { char good_architecture[40];
                        char bad_architecture[40];
                      } preference;


typedef struct atask {
                       char name[40];
                       struct atask *next_task;
                       executable executables[MAX_ARCHITECTURES]; 
                       char *input[10];
                       char *output[10];
                       preference 
                              preferences[MAX_ARCHITECTURES*MAX_ARCHITECTURES];
                       char *command;
                       int replicatable;
                       int duration;
                     } task;

/* status values */

#define WAITING 1
#define RUNNING 2
#define COMPLETE 3
#define ABORTED 4
#define DONT_RUN 5
#define RUN_IT 6
#define MACHINE_DOWN 7

/* task keywords */

#define TASK 1
#define EXECUTABLES 2
#define HINTS 3
#define APPLICATION 4
#define NODES 5
#define COMMAND 6
#define SUBTASK 7
#define INSTANCES 8
#define SYNCHRONIZATION 9
#define INPUT 10
#define OUTPUT 11


/* hints keywords */

#define REPLICATABLE 1
#define NON_REPLICATABLE 2
#define PREFER 3
#define DURATION 4


/* duration keywords */

#define SHORT 1
#define MEDIUM 2
#define LONG 3




